org.apache.tools.ant.taskdefs

## Class ResourceCount

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.ResourceCount

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class ResourceCount
    extends Task
    implements Condition

Count resources from a ResourceCollection, storing to a property or writing to the log. Can also be used as a Condition.

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`ResourceCount()`

### Method Summary

Methods
`void` `add(ResourceCollection r)` Add the ResourceCollection to count.
`boolean` `eval()` Fulfill the condition contract.
`void` `execute()` Execute as a Task.
`void` `setCount(int c)` Set the target count number for use as a Condition.
`void` `setProperty(java.lang.String p)` Set the name of the property to set in task mode.
`void` `setRefid(Reference r)` Set the ResourceCollection reference.
`void` `setWhen(Comparison c)` Set the comparison for use as a Condition.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceCount

    public ResourceCount()

### Method Detail

#### add

    public void add(ResourceCollection r)

Add the ResourceCollection to count.

Parameters:
  `r` - the ResourceCollection to count.
Throws:
  `BuildException` - if already set.

#### setRefid

    public void setRefid(Reference r)

Set the ResourceCollection reference.

Parameters:
  `r` - the Reference.

#### execute

    public void execute()

Execute as a Task.

Overrides:
  `execute` in class `Task`

#### eval

    public boolean eval()

Fulfill the condition contract.

Specified by:
  `eval` in interface `Condition`
Returns:
  true if the specified ResourceCollection satisfies the set criteria.
Throws:
  `BuildException` - if an error occurs.

#### setCount

    public void setCount(int c)

Set the target count number for use as a Condition.

Parameters:
  `c` - number of Resources as int.

#### setWhen

    public void setWhen(Comparison c)

Set the comparison for use as a Condition.

Parameters:
  `c` - Comparison (an EnumeratedAttribute) When.
See Also:
  `Comparison`

#### setProperty

    public void setProperty(java.lang.String p)

Set the name of the property to set in task mode.

Parameters:
  `p` - the property name to set.